Trigger async audit analysis job
curl --request POST \
--url https://app.auditynow.com/api/agent/projects/{id}/audit-analysis/async \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.auditynow.com/api/agent/projects/{id}/audit-analysis/async"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.auditynow.com/api/agent/projects/{id}/audit-analysis/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Unauthorized"
}{
"error": "<string>",
"code": "<string>",
"details": {
"estimatedCostUSD": 123,
"limitUSD": 123
}
}{
"error": "Feature not available on your tier",
"currentTier": "solo",
"requiredTier": "starter",
"upgradeUrl": "https://app.auditynow.com/billing/upgrade"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "Document or interview analysis required but not found",
"code": "PREREQUISITE_MISSING"
}{
"error": "<string>",
"details": "<string>"
}Projects
Trigger async audit analysis job
Triggers an asynchronous audit analysis job. Requires that both business_analysis (document analysis) and interview_analysis records with is_current=true already exist for the project. Returns 202 with a job ID for polling. No request body required.
POST
/
api
/
agent
/
projects
/
{id}
/
audit-analysis
/
async
Trigger async audit analysis job
Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Path Parameters
The project's UUID.
Response
Job enqueued, polling available
Show child attributes
Show child attributes
⌘I

